Get User Data
1 min
The OAuth process exchanges some data with Pathfix during the OAuth process. This data is accessible using this API.
The tokens are not shared.
Get User Data
This API will give you access to all the virtual connections for a specific user
GET
https://labs.pathfix.com/api/connection/{{provider}}/userdata
Query Parameters
- user_idstringrequiredDescription
- public_keystringrequiredDescription
- private_keystringrequiredDescription
- oauthIdstringDescription
curl
curl --request GET
--url https://labs.pathfix.com/api/connection/{{provider}}/userdata
--header 'Accept: application/json'javascript
fetch("https://labs.pathfix.com/api/connection/{{provider}}/userdata", {
"method": "GET",
"headers": {
"Accept": "application/json"
}
})
.then(response => {
console.log(response);
})
.catch(err => {
console.error(err);
});nodejs
const fetch = require('node-fetch');
let url = 'https://labs.pathfix.com/api/connection/{{provider}}/userdata';
let options = {
method: 'GET',
headers: {
Accept: 'application/json',
}
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error('error:' + err));python
import requests
url = "https://labs.pathfix.com/api/connection/{{provider}}/userdata"
headers = {"Accept": "application/json"}
response = requests.request("GET", url, headers=headers)
print(response.text)ruby
const fetch = require('node-fetch');
let url = 'https://labs.pathfix.com/api/connection/{{provider}}/userdata';
let options = {method: 'GET', headers: {Accept: 'application/json'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error('error:' + err));200
{
"rows": [{
"pincStatus": "success",
"callId": "9333921d-5175-4eed-ab19-3c260d23fdsfdf",
"data": {
"property":"value"
}
}]
}401
Unauthorized